Comments

73 comments

  • Avatar
    Gijs van Dijk

    Boo effing who. You entitled Linux crybabies need to shut up and quit whining. Get a life. Your software choices are not dictated by the OS, your OS is dictated by your software choices. You do not work with your OS, you work with software installed on that OS. The OS is just there to boot your computer and let you run software. If you get a hardon running Linux, all the power to you but don't complain about your choice of software.  Rational people first define their software of choice and then pick the hardware and OS to suit.

    I use Linux every single day, both server and desktop. With much pleasure too as it provides me with the tools I need. Except when I need to do photo editiing, then I boot to my W11 install that lets me use the photo tools that I need and want to use.

    Use the tools that best suit you to do the job at hand. If that means running Windows or OSX, run Windows or OSX. If that means running Linux, run Linux. If that means it doesn't matter cause it runs everywhere, use whatever you like better. But for f sake stop whining about wanting to use specific tools, while unwilling to do what it takes to run them. Asking about Linux support and letting people know there is a want out there is fine, complaining and throwing a entitled tantrum because you're not getting it is not.

    -6
    Comment actions Permalink
  • Avatar
    Marco La

    good news. since skylum does not react here, we simply switch to Adobe Photoshop. there is now a web version, which is constantly being expanded! bye luminar

    0
    Comment actions Permalink
  • Avatar
    Anastasiia Moore

    Hi Marco!

    I replied to you in this thread:

    https://community.skylum.com/hc/en-us/community/posts/360010621660 

    Kindly check it.

    0
    Comment actions Permalink
  • Avatar
    Marco Griep

    I tried to run Luminar AI in a Virtual Windows Machine. It works fine with VMWare Player (Not with VirtualBox because of lack for OpenGL 3.3), but its not performant. What works is to passtough GPU and install Windows or MacOS in Qemu. 

    GitHub - foxlet/macOS-Simple-KVM: Tools to set up a quick macOS VM in QEMU, accelerated by KVM.

    -1
    Comment actions Permalink
  • Avatar
    Lars Graefe
    I'm using Linux Mint 20.3 and get Luminar 4 to run with wine and winetricks,
    so I wrote a little howto for those how want use Luminar 4 on Linux too.
    I don't want to translate all this now, so please use a translation tool

     

     

    Installation von Wine und Abhängigkeiten für Luminar 4


    Installiere Wine für deine Distro nach Anleitung auf

    www.winehq.org

    Im Falle von Linux Mint 20.3

    1. sudo dpkg --add-architecture i386 
    2. wget -nc https://dl.winehq.org/wine-builds/winehq.key
    3. sudo apt-key add winehq.key
    4. sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ focal main' 
    5. sudo apt update

    und je nach Wahl einen Branch

    6. sudo apt install --install-recommends winehq-staging

    danach muss Winetricks installiert werden

    7. sudo apt install winetricks


    Jetzt sollten verschiedene Abhängigkeiten heruntergeladen werden.

    1. Net-Framework 4.7.2
        http://go.microsoft.com/fwlink/?linkid=863265

    2. Visual C++ 2013
        https://www.microsoft.com/en-us/download/details.aspx?id=40784

    3. Visual C++ 2015
        https://www.microsoft.com/en-us/download/details.aspx?id=48145

    4. https://downloads.skylum.com/luminar4/win/Luminar4Setup_offline.msi?_ga=2.31667515.449928169.1643840693-1451192511.1643840693

    Nach dem Downloads wird ein neuer Ordner angelegt (optional)

    1. Im Home verzeichnis
        mkdir wine

    Dann beginnt die Config

    1. WINEARCH=win64 WINEPREFIX=~/wine/luminar4 winecfg

        - in der winecfg stellt ihr bitte von Windows 7 auf Windows 10 und schließt das Fenster

    2. WINEPREFIX=~/wine/luminar4 winetricks

        - erstes Fenster einfach OK drücken
        - dannach Windows-DLL installieren und
            -dotnet40, dotnet45, dotnet452, dotnet46 und dotnet461 auswählen und installieren
             (KEINE Neustarts durchführen)
        - dann "explorer starten" wählen und das heruntergeladene Net-Framework 4.7.2 installienen
        - zudem noch Visual C++ 2013 und 2015 installieren
        - Jetzt fehlt lediglich noch Luminar 4. Installiert die *.msi Datei und fertig.

    Luminar sollte jetzt als shortcut auf dem Desktop liegen und sich öffnen lassen.

    Gebt eure E-Mail Adresse ein und euren Aktivierungscode und das war's....

    viel Spaß

    0
    Comment actions Permalink
  • Avatar
    Victor Cordero

    I must say that following your guide I managed to install the program functionally. Of course some errors like the one that asks me for the registration code with each start of the program, but it's great to have Luminar on Linux, of course I keep insisting that skylum should release its official version. The new luminar AI is coming and it would be interesting to have its official version for Linux

    0
    Comment actions Permalink
  • Avatar
    Lars Graefe

    What Kernel Version you running in linux? I do not have this registration problem in each start.

    0
    Comment actions Permalink
  • Avatar
    Victor Cordero

    System:    Kernel: 5.4.0-99-generic x86_64 bits: 64 compiler: gcc v: 9.3.0 Desktop: Cinnamon 5.2.7 
              

    0
    Comment actions Permalink
  • Avatar
    Lars Graefe

    I'm on kernel  5.13.0-28-generic #31~20.04.1-Ubuntu, maybe a kernel update could help to fix the activation issue

    I tested a new installation and get no issues. Only one time activation at the first start. No new activations on next start.

    So i think its a problem with the kernel or maybe with wine branch. 

    I use wine 7.1 staging branch

    0
    Comment actions Permalink
  • Avatar
    Victor Cordero

    I already updated the kernel to the version you indicate. it keeps requesting the license to start, the program is still more than functional, so I will be testing it for some time.

    System:    Kernel: 5.13.0-28-generic

    Thank you

     

     

    0
    Comment actions Permalink
  • Avatar
    Thomas Herrmann

    I just wanted to add my desire for a native linux version. As this will be the most likely OS choice for professionals in the future. I doubt its more than another compilation run. Might even release it with limited support as a flatpack.

    Market is small now but mostly because industry standard software isnt available in all areas. Bitwig and Dacinci Resolve have already understood the tendency and blender is on its way to become industry standard.

    So better be early to the party.

    0
    Comment actions Permalink
  • Avatar
    致远 李

    yes. I want a linux native version too. I have luminar 4 installed on my mac. However, a 16gb Mac cannot work well,(poor memory) I have no choice but to close my other softwares. I have another linux machine(64 gb ddr4, 4tb ssd), linux work station is so popular and powerful that can afford any heavy work.

    skylum can rewrtite a powergul UI cross all OS, qt, electron work well. 

     

    0
    Comment actions Permalink
  • Avatar
    Anastasiia Moore

    Hi all!
    We don't have plans to introduce Linux support in the nearest future, but I have added your requests to our backlog to raise the priority for such requests. 

    1
    Comment actions Permalink

Please sign in to leave a comment.